---
- hosts: all
  become: yes

  vars_files:
    - vars/vars.yml
    - vars/secrets.yml

  tasks:
    - include: packages/apt.yml    
    - include: packages/debs.yml
    - include: packages/pip.yml
    - include: packages/gems.yml
    - include: packages/targz.yml
    - include: packages/snaps.yml
   
    - include: extras/docker.yml

    - include: system/users.yml  
    - include: system/tweaks.yml

    - include: extras/dotfiles.yml
    - include: extras/fonts.yml
    - include: extras/vscode.yml    
    - include: extras/java.yml
    - include: extras/nodejs.yml
    - include: extras/permissions.yml


